play.classloading.enhancers

## Class ContinuationEnhancer

- java.lang.Object
- - play.classloading.enhancers.Enhancer
  - - play.classloading.enhancers.ContinuationEnhancer

-     public class ContinuationEnhancer
      extends Enhancer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.classloading.enhancers.Enhancer

      `Enhancer.ApplicationClassesClasspath`

  - ### Field Summary

    - ### Fields inherited from class play.classloading.enhancers.Enhancer

      `classPool`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContinuationEnhancer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)` The magic happen here...
    `static boolean` | `isEnhanced(java.lang.String appClassName)`

    - ### Methods inherited from class play.classloading.enhancers.Enhancer

      `createAnnotation, createAnnotation, getAnnotations, getAnnotations, getAnnotations, hasAnnotation, hasAnnotation, hasAnnotation, makeClass, newClassPool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContinuationEnhancer

          public ContinuationEnhancer()

  - ### Method Detail

    - #### isEnhanced

          public static boolean isEnhanced(java.lang.String appClassName)

    - #### enhanceThisClass

          public void enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)
                                throws java.lang.Exception

      Description copied from class: `Enhancer`
      The magic happen here...
      Specified by:
        `enhanceThisClass` in class `Enhancer`
      Parameters:
        `applicationClass` - The application class to construct
      Throws:
        `java.lang.Exception` - if problem occurred during construction

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly